## fvwm-shell 1.5

=== Makefile ===
#!/usr/bin/make -f 


all: doc/fvwm-shell.sgml
	/usr/bin/docbook-to-man doc/fvwm-shell.sgml > doc/fvwm-shell.1


clean: 
	rm -f doc/fvwm-shell.1


install:
	cp rc/* $(DESTDIR)/etc/X11/fvwm-shell/
	cp bin/fvwm-shell $(DESTDIR)/usr/X11R6/bin/
	cp bin/Fvwm-Shell $(DESTDIR)/etc/gdm/Sessions/
	cp scripts/* $(DESTDIR)/usr/share/fvwm-shell/scripts/
	cp snd/* $(DESTDIR)/usr/share/fvwm-shell/snd/
	cp bg.xpm $(DESTDIR)/usr/share/fvwm-shell/
	cp fvwm-shell-logo.xpm $(DESTDIR)/usr/share/fvwm-shell/
	cp doc/README $(DESTDIR)/usr/share/doc/fvwm-shell/
	cp doc/fvwm-shell.1 $(DESTDIR)/usr/X11R6/man/man1/

=== debian/changelog ===
fvwm-shell (1.5) unstable; urgency=low

  * Addet debconf support 
  * update-alternatives priority set to 70
  * better package description

 -- Hans Freitag <macrotron@president.eu.org>  Mon, 21 Oct 2002 23:13:10 +0200

fvwm-shell (1.3-2) unstable; urgency=low

  * Build-Depends-Indep

 -- Hans Freitag <macrotron@president.eu.org>  Wed, 26 Jun 2002 10:43:07 +0200

fvwm-shell (1.3-1) unstable; urgency=low

  * addet manpage
  * make lintian clean

 -- Hans Freitag <macrotron@president.eu.org>  Sat, 15 Jun 2002 13:04:40 +0200

fvwm-shell (1.3) unstable; urgency=low

  * Make 3/4 console 
  * layers fixed
  * fancy frames 
  * smaller deskbar

 -- Hans Freitag <macrotron@president.eu.org>  Sun, 19 May 2002 23:24:00 +0200

fvwm-shell (1.2) unstable; urgency=low

  * Minor fixes
  * Added 1000 lines scrollback buffer to rxvt

 -- Hans Freitag <hafre@darkzone.president.eu.org>  Thu, 21 Mar 2002 21:51:11 +0100

fvwm-shell (1.1) unstable; urgency=low

  * Banner module

 -- Hans Freitag <macrotron@president.eu.org>  Mon, 11 Mar 2002 17:19:16 +0100

fvwm-shell (1.0-3) unstable; urgency=low

  * alternatives
  * Fvwm buttons 
  * fvwmrc path bugfix
  * qiv located in /usr/bin

 -- Hans Freitag <macrotron@president.eu.org>  Mon, 11 Mar 2002 12:29:20 +0100

fvwm-shell (1.0-2) unstable; urgency=low

  * 2nd Initial Release.

 -- Hans Freitag <macrotron@president.eu.org>  Sun, 11 Nov 2001 14:59:05 +0100

fvwm-shell (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Hans Freitag <macrotron@president.eu.org>  Sun, 11 Nov 2001 14:59:05 +0100

=== debian/control ===
Source: fvwm-shell
Section: x11
Priority: optional
Maintainer: Hans Freitag <macrotron@president.eu.org>
Build-Depends-Indep: debhelper (>> 3.0.0), docbook-to-man
Standards-Version: 3.5.7

Package: fvwm-shell
Architecture: all
Depends: rxvt | x-terminal-emulator, fvwm (>= 2.3.19), fvwm-icons, esound, menu, debconf
Suggests: gkrellm, qiv, gdm
Description: A fvwm2 based desktop environment
 This fvwm2rc provides 12 desktops with a scrolldown console 
 (like quake console) for each Desktop.
 .
 All funktions of the desktop are accessible with the keyboard.
 .
 The original fvwm2rc is separated into several parts which are 
 loaded from the users homedirectory or from the default config 
 in /etc/X11/fvwm-shell.
 .
 Also a simply change of the background image is possible by 
 creating links to special background files. This feature 
 uses qiv.
 .
 Please read the fvwm-shell manpage for keyboard shortcuts 
 and location of config files, too.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man doc/fvwm-shell.sgml > doc/fvwm-shell.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/fvwm-shell.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fvwm-shell


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
